For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get a list of all audit log entries. The query parameters let you restrict the results that return by date ranges, resource specifiers, or a full-text search query.
LaunchDarkly uses a resource specifier syntax to name resources or collections of resources. To learn more, read About the resource specifier syntax.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/auditlog \
--header 'Authorization: <api-key>'{
"items": [
{
"_links": {},
"_id": "1234a56b7c89d012345e678f",
"_accountId": "1234a56b7c89d012345e678f",
"date": "1654104600000",
"accesses": [
{
"action": "<string>",
"resource": "<string>"
}
],
"kind": "flag",
"name": "Example feature flag",
"description": "Example, turning on the flag for testing",
"shortDescription": "Example, turning on the flag",
"comment": "This is an automated test",
"subject": {
"_links": {},
"name": "<string>",
"avatarUrl": "<string>"
},
"member": {
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"token": {
"_links": {},
"_id": "<string>",
"name": "DevOps token",
"ending": "2345",
"serviceToken": false
},
"app": {
"_links": {},
"_id": "<string>",
"isScim": true,
"name": "<string>",
"maintainerName": "<string>"
},
"titleVerb": "turned on the flag",
"title": "<string>",
"target": "[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production",
"parent": {
"_links": {},
"name": "<string>",
"resource": "<string>"
}
}
],
"_links": {}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
A timestamp filter, expressed as a Unix epoch time in milliseconds. All entries this returns occurred before the timestamp.
A timestamp filter, expressed as a Unix epoch time in milliseconds. All entries this returns occurred after the timestamp.
Text to search for. You can search for the full or partial name of the resource.
A limit on the number of audit log entries that return. Set between 1 and 20. The default is 10.
A resource specifier that lets you filter audit log listings by resource
curl --request GET \
--url https://app.launchdarkly.com/api/v2/auditlog \
--header 'Authorization: <api-key>'{
"items": [
{
"_links": {},
"_id": "1234a56b7c89d012345e678f",
"_accountId": "1234a56b7c89d012345e678f",
"date": "1654104600000",
"accesses": [
{
"action": "<string>",
"resource": "<string>"
}
],
"kind": "flag",
"name": "Example feature flag",
"description": "Example, turning on the flag for testing",
"shortDescription": "Example, turning on the flag",
"comment": "This is an automated test",
"subject": {
"_links": {},
"name": "<string>",
"avatarUrl": "<string>"
},
"member": {
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"token": {
"_links": {},
"_id": "<string>",
"name": "DevOps token",
"ending": "2345",
"serviceToken": false
},
"app": {
"_links": {},
"_id": "<string>",
"isScim": true,
"name": "<string>",
"maintainerName": "<string>"
},
"titleVerb": "turned on the flag",
"title": "<string>",
"target": "[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production",
"parent": {
"_links": {},
"name": "<string>",
"resource": "<string>"
}
}
],
"_links": {}
}